Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.xml.async
Class DOMBuilderEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--oracle.xml.async.DOMBuilderEvent

All Implemented Interfaces:
  java.io.Serializable

public class DOMBuilderEvent
extends java.util.EventObject

The event object that DOMBuilder uses to notify all registered listeners about parse events.

See Also:
  Serialized Form

Field Summary
`protected int` | `id` ID of the source DOMBuilder object

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DOMBuilderEvent(java.lang.Object p0, int p1)` Creates a new DOMBuilderEvent

Method Summary
`int` | `getID()` Returns unique id of the DOMBuilder object which can be used to identify which instance of the DOMBuilder generated this event in cases where multiple instances of DOMBuilder may be working in background.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    protected int id

  ID of the source DOMBuilder object

Constructor Detail

### DOMBuilderEvent

    public DOMBuilderEvent(java.lang.Object p0,
                           int p1)

  Creates a new DOMBuilderEvent
Parameters:
  `p0` - The `Object` creating this event.
  `p1` - Id of the `DOMBuilder` creating this event.

Method Detail

### getID

    public int getID()

  Returns unique id of the DOMBuilder object which can be used to identify which instance of the DOMBuilder generated this event in cases where multiple instances of DOMBuilder may be working in background.
  Returns:
    The unique `id` of the source DOMBuilder for this event.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003, 2004, Oracle. All rights reserved.